JEvents 1.5 (No longer actively supported)

problems on installing beta

JEvents 2.0 was launched over 2 years ago and the latest stable version is version 2.2 which will run on Joomla 1.5 and Joomla 2.5. JEvents 1.5 is therefore no longer actively supported - you should upgrade to JEvents 2.2+ as soon as possible.
Forum rules
Please include as much detail in any test or bug reports for JEvents 1.5 as possible.

First of all, check if you are running the latest available version of Joomla! and JEvents. Posts for issues, where both systems are not updated, will be ignored.

We need the following at least:

* PHP version (e.g. 5.2.5). Note: Support for PHP4 is discontinued.
* Joomla! version
* JEvents version
* Web Server software (Apache or IIS with version number if possible)
* Server Operating system (e.g. Linux, Windows, Solaris, Darwin ...)
* Database version
* memory_limit from your phpinfo
* Web browser and version

Please enable error reporting and include any error messages in your posting. You do this via the Joomla Configuration - set "error reporting" to "maximum" on the Server tab.

Finally, please describe the steps required to recreate the problem and also please enable error reporting and give us any error messages generated.

Postby youngwilly » Sun Feb 15, 2009 4:39 pm

I have installed the component and all the beta modules, and created a 'test diary' menu item on my home page, converted existing events Ok, but selecting the menu link results in the following error:

Fatal error: Cannot redeclare class catLegend in /home/*******/public_html/modules/mod_events_legend/mod_events_legend.php on line 52

PHP 5.2.6
Joomla 1.5.9
Jevents 1.5 beta
Apache 1.3.41
Linux
database 5.0.67
youngwilly
 
Posts: 10
Joined: Mon Mar 31, 2008 8:58 pm

Postby Geraint » Sun Feb 15, 2009 4:50 pm

Please read the section about running 1.4 and 1.5 in http://www.jevents.net/en/jevents-15-to ... nd-running
JEvents Club members can get priority forum support at the Support Forum. As well as access to a variety of custom JEvents addons and benefits. Join the JEvents club today!
User avatar
Geraint
 
Posts: 42850
Joined: Fri Feb 15, 2008 6:14 pm

Postby ist » Mon Feb 16, 2009 4:07 pm

I am also receiving this error when publishing a second instance of the module (using only version 1.5.0 beta).
If only one instance of the module is published, it works fine.

My desired outcome is 2 modules next to each other:
List of the 5 most recently completed events from a single category. (In a live site running J1.0.x, I tweaked the code for option 3 to only include past events instead of both future and past - I will need to change it in this version too, though I would love it if this was one of the options in the production code)
List of 8 upcoming events from any of 5 categories. This works fine when it is the only latest events module published.

Thank you for all your hard work on this component!

Joomla 1.5.9
PHP 5.2.8
JEvents 1.5.0 Beta
Apache/Linux
MySQL 5
Memory Limit 80M
ist
 
Posts: 4
Joined: Mon Feb 16, 2009 3:46 pm

Postby Geraint » Tue Feb 17, 2009 7:58 am

Can you explain what error you are seeing?
JEvents Club members can get priority forum support at the Support Forum. As well as access to a variety of custom JEvents addons and benefits. Join the JEvents club today!
User avatar
Geraint
 
Posts: 42850
Joined: Fri Feb 15, 2008 6:14 pm


Return to JEvents 1.5 (No longer actively supported)

  • Who is online
  • View new posts
  • View unanswered posts
  • In total there are 2 users online :: 2 registered and 0 hidden (based on users active over the past 5 minutes)
  • Most users ever online was 94 on Tue Sep 01, 2009 12:33 am
  • Users browsing this forum: Bing [Bot], Google [Bot]